using Infrastructure.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Infrastructure.Interfaces
{
    public interface ITestCaseService
    {
        Task CreateTestCase(TestCase testCase, string creatorID);

        void CreateTestCase(TestCase testCase, string creatorID, TestProject project);

        IEnumerable<TestCase> ListTestCases();

        IEnumerable<TestCase> ListTestCases(int testSuiteID);

        Task AddStepToTestCase(StepResultDefinition step, int testCaseID);

        TestCase GetTestCase(int testCaseID);

        int ConvertFromExternalID(string externalID);
    }
}